Employees
Deprecated
Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.
Create an employee employment status
Deprecated
Path Parameters
employee_id*integer
Format
int64Request Body
application/x-www-form-urlencoded
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/public/v1/employees/0/employment_statuses" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'effective_from=2019-08-24&comment=string'{ "data": { "id": 0, "effective_on": "2019-08-24", "employment_type": { "id": 0, "name": "string" }, "probation_policy": { "id": 0, "name": "string" }, "working_pattern": { "id": 0, "name": "string" }, "comment": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}